<div dir="ltr">Hello!<div><br></div><div>Attempting to compile Monodevelop master on CentOS, get the following error:</div><div><br></div><div><div>[root@localhost monodevelop]# ./configure </div><div><br></div><div>Configuring package: main</div>
<div>-------------------------</div><div>Configuration options: </div><div>Running aclocal  ...</div><div>Running automake --foreign  ...</div><div>Running autoconf ...</div><div>Running ./configure --enable-maintainer-mode --enable-compile-warnings --prefix=/usr/local ...</div>
<div>configure: WARNING: unrecognized options: --enable-compile-warnings</div><div>checking for a BSD-compatible install... /usr/bin/install -c</div><div>checking whether build environment is sane... yes</div><div>checking for a thread-safe mkdir -p... /bin/mkdir -p</div>
<div>checking for gawk... gawk</div><div>checking whether make sets $(MAKE)... yes</div><div>checking how to create a ustar tar archive... gnutar</div><div>checking whether to enable maintainer-specific portions of Makefiles... yes</div>
<div>./configure: line 2541: syntax error near unexpected token `('</div><div>./configure: line 2541: `COMPAT_ADDIN_VERSION=m4_esyscmd_s(grep ^CompatVersion ../version.config|cut -d "=" -f 2|tr -d '\n')'</div>
<div>[root@localhost monodevelop]# </div><div><br></div><div><br></div><div>This is actually after receiving the following error, but rerunning configure seems to "resolve" it.</div><div><br></div><div><div>[root@localhost monodevelop]# ./configure --select</div>
<div><br></div><div>The build profile 'default' does not exist. A new profile will be created.</div><div>Select the packages to include in the build for the profile 'default':</div><div><br></div><div>1. [X] main</div>
<div>2. [ ] extras/JavaBinding</div><div>3. [ ] extras/ValaBinding</div><div>4. [ ] extras/MonoDevelop.Database</div><div>5. [ ] extras/PyBinding</div><div>6. [ ] extras/MonoDevelop.MeeGo</div><div><br></div><div>Enter the number of an add-in to enable/disable,</div>
<div>(q) quit, (c) clear all, (s) select all, or ENTER to continue:  </div><div><br></div><div>Configuring package: main</div><div>-------------------------</div><div>Configuration options: </div><div>Running aclocal  ...</div>
<div>Running automake --foreign  ...</div><div><a href="http://configure.in:3">configure.in:3</a>: installing `./install-sh'</div><div><a href="http://configure.in:3">configure.in:3</a>: installing `./missing'</div>
<div>Running autoconf ...</div><div><a href="http://configure.in:1">configure.in:1</a>: error: possibly undefined macro: m4_esyscmd_s</div><div>      If this token and others are legitimate, please use m4_pattern_allow.</div>
<div>      See the Autoconf documentation.</div><div>**Error**: autoconf failed.</div><div>[root@localhost monodevelop]#</div></div><div><br></div><div><br></div><div>Any thoughts?</div><div><br></div><div><br></div>-- <br>
<a href="http://volatile-minds.blogspot.com">http://volatile-minds.blogspot.com</a> -- blog<br><a href="http://www.volatileminds.net">http://www.volatileminds.net</a> -- website
</div></div>